<?php
/*
 * Plugin Name: A/I - Robots.txt
 * Description: Customize robots.txt with per-site sitemap links
 * Version: 0.0.1
 * Author: Autistici/Inventati
 * Author URI: https://autistici.org
 */

function ai_robots_txt_add_sitemap($output, $public) {
    if ($public != '0') {
        $sitemap_url = get_site_url(null, "/wp-sitemap.xml");
        $output .= "\nSitemap: {$sitemap_url}\n";
    }
    return $output;
}

add_filter('robots_txt', 'ai_robots_txt_add_sitemap', 99, 2);
